# Created by pyp2rpm-3.3.7
%global pypi_name platformdirs

%bcond_with docs
%bcond_with test

Name:           python-%{pypi_name}
Version:        4.3.6
Release:        %mkrel 1
Summary:        A small Python module for determining appropriate platform-specific dirs
Group:          Development/Python
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with test}
BuildRequires:  python3dist(appdirs) = 1.4.4
BuildRequires:  python3dist(pytest) >= 6
BuildRequires:  python3dist(pytest-cov) >= 2.7
BuildRequires:  python3dist(pytest-mock) >= 3.6
%endif
%if %{with docs}
BuildRequires:  python3dist(furo) >= 2021.7.5~b38
BuildRequires:  python3dist(proselint) >= 0.10.2
BuildRequires:  python3dist(sphinx) >= 4
BuildRequires:  python3dist(sphinx-autodoc-typehints) >= 1.12
%endif

%description
When writing desktop application, finding the right location to store user data
and configuration varies per platform. Even for single-platform apps, there may
by plenty of nuances in figuring out the right location.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
When writing desktop application, finding the right location to store user data
and configuration varies per platform. Even for single-platform apps, there may
by plenty of nuances in figuring out the right location.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -w

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD}/build/lib sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Sun Feb 02 2025 daviddavid <daviddavid> 4.3.6-1.mga10
+ Revision: 2144642
- new version: 4.3.6

* Wed Dec 13 2023 papoteur <papoteur> 4.0.0-3.mga10
+ Revision: 2017800
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 4.0.0-2.mga10
+ Revision: 2015160
- rebuild for py3.12

* Sun Nov 26 2023 wally <wally> 4.0.0-1.mga10
+ Revision: 2009875
- new version 4.0.0

* Mon Sep 04 2023 papoteur <papoteur> 3.10.0-1.mga10
+ Revision: 1984120
- new 3.10.0

* Sat Dec 17 2022 wally <wally> 2.6.0-1.mga9
+ Revision: 1924049
- new version 2.6.0

* Fri Nov 04 2022 wally <wally> 2.5.2-2.mga9
+ Revision: 1902761
- update setuptools-scm BRs

* Fri Aug 05 2022 wally <wally> 2.5.2-1.mga9
+ Revision: 1875509
- new version 2.5.2

* Fri Apr 01 2022 umeabot <umeabot> 2.5.0-2.mga9
+ Revision: 1838174
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 wally <wally> 2.5.0-1.mga9
+ Revision: 1773517
- new version 2.5.0
- rebuild for python3.10

* Fri Sep 03 2021 wally <wally> 2.3.0-1.mga9
+ Revision: 1744238
- imported package python-platformdirs

